### Hierarchy

- Subscriptions

## Index

### Constructors

- constructor

### Properties

- call
- name
- requestManager
- subscriptions
- type

### Methods

- attachToObject
- buildCall
- setRequestManager

## Constructors

### constructor

- new Subscriptions(options: any): Subscriptions

- - Defined in core/subscriptions/index.ts:9

  #### Parameters

  - ##### options: any

  #### Returns Subscriptions

## Properties

### call

call: any

- Defined in core/subscriptions/index.ts:7

### name

name: string

- Defined in core/subscriptions/index.ts:5

### requestManager

requestManager: RequestManager

- Defined in core/subscriptions/index.ts:9

### subscriptions

subscriptions: any

- Defined in core/subscriptions/index.ts:8

### type

type: string

- Defined in core/subscriptions/index.ts:6

## Methods

### attachToObject

- attachToObject(obj: any): void

- - Defined in core/subscriptions/index.ts:21

  #### Parameters

  - ##### obj: any

  #### Returns void

### buildCall

- buildCall(): function

- - Defined in core/subscriptions/index.ts:26

  #### Returns function

  - - (): any

    - #### Returns any

### setRequestManager

- setRequestManager(rm: RequestManager): void

- - Defined in core/subscriptions/index.ts:17

  #### Parameters

  - ##### rm: RequestManager

  #### Returns void

Generated using TypeDoc